Skip to main content
GET
Get job details

Authorizations

Authorization
string
header
required

Send your FFmpeg API Cloud API key as a bearer token.

Path Parameters

id
string<uuid>
required

The job ID. A UUID value.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:

"3f0e9cfd-4e56-4c0b-8df0-2bfa88c40f50"

Response

Job details returned successfully.

The full job response returned for a single job.

id
string<uuid>
required

A UUID value.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:

"3f0e9cfd-4e56-4c0b-8df0-2bfa88c40f50"

binary
enum<string>
required

The execution binary used for the job.

Available options:
ffmpeg,
ffprobe
mode
enum<string>
required

The job execution mode.

Available options:
preset,
raw
status
enum<string>
required

The current lifecycle state of the job.

Available options:
queued,
running,
completed,
failed,
canceled,
rejected
runtimeSeconds
integer | null
required
Required range: -9007199254740991 <= x <= 9007199254740991
creditsCharged
integer | null
required
Required range: -9007199254740991 <= x <= 9007199254740991
errorCode
string | null
required
errorMessage
string | null
required
createdAt
string<date-time>
required

An ISO 8601 timestamp.

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
Example:

"2026-04-15T08:30:00.000Z"

startedAt
string<date-time> | null
required

An ISO 8601 timestamp.

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
Example:

"2026-04-15T08:30:00.000Z"

finishedAt
string<date-time> | null
required

An ISO 8601 timestamp.

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
Example:

"2026-04-15T08:30:00.000Z"

outputs
JobOutput · object[]
required